[Modding]最低限の状態でマイクラが起動すらしない

Modやプラグインの制作/開発に関する質問はこちらへどうぞ。
アバター
Xulurun0w0
ID: 65VXKM5IOC
記事: 36
登録日時: 2019年10月05日(土) 00:41
お住まい: 大阪府
Minecraft ID: Xulurun0w0
連絡する:

[Modding]最低限の状態でマイクラが起動すらしない

投稿記事 by Xulurun0w0 » 2020年1月04日(土) 20:09

 まず第一に、起動最低限まで構築したのですが起動できません... Dx
脆弱すぎていろいろなサイトを見てもわからないので、助言していただければと思います
[概要]
Java ver:1.8.0_231
JavaC ver:13.0.1
Minecraft ver:1.12.2
使用ソフト:Eclipse 2019-12

[起こった経緯]
 まず基礎の基礎からやってみようということで、こちらの方の動画から進めていったのですが、マインクラフトの起動につまづいていて、実行を押しただけだと起動ログすら流れない状態です。
多分原因だと思われる点があるのですが、探しても解決には至っていないので幾つか上げておきます。
Eclipseに表示された問題
Show
・ビルド・パスは実行環境 JavaSE-1.8 を指定しています。この環境と厳密に互換性のあるワークスペースにインストールされた JRE がありません。
・指定されたコンパイラー準拠は 1.8 ですが、JRE 13 が使用されています。
 →この時点で薄々感じているのですが、ワークスペースの基がjava1.8のものであり、java.1.9以降の(?)自分のPC環境と合っていないのでしょうか?
[ファイル構成]
TutorialMod
 └src/main/java
  └jp.xxx.tutorialmod
   ├Main.java
   ├proxy
   │├ClientProxy.java
   │└CommonProxy.java
   └util
    └Reference.java
This color=Package file
Main.java
Show

コード: 全て選択

package jp.xxx.tutorialmod;

import jp.xxx.tutorialmod.proxy.CommonProxy;
import jp.xxx.tutorialmod.util.Reference;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.Mod.EventHandler;
import net.minecraftforge.fml.common.Mod.Instance;
import net.minecraftforge.fml.common.SidedProxy;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPostInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;

@Mod(modid = Reference.MOD_ID, name = Reference.NAME, version = Reference.VERSION)
public class Main {

	@Instance
	public static Main instance;

	@SidedProxy(clientSide = Reference.CLIENT_PROXY_CLASS, serverSide = Reference.COMMON_PROXY_CLASS)
	public static CommonProxy proxy;

	@EventHandler
	public static void PreInit(FMLPreInitializationEvent event)
	{

	}
	@EventHandler
	public static void PreInit(FMLInitializationEvent event)
	{

	}
	@EventHandler
	public static void PreInit(FMLPostInitializationEvent event)
	{

	}
}

Reference.java
Show

コード: 全て選択

package jp.xxx.tutorialmod.util;

public class Reference {

	public static final String MOD_ID = "tm";
	public static final String NAME = "Tutorial Mod";
	public static final String VERSION = "1.0";
	public static final String ACCEPTED_VERSIONS = "[1.12.2]";
	public static final String CLIENT_PROXY_CLASS = "jp.xxx.tutorialMod.proxy.Clientproxy";
	public static final String COMMON_PROXY_CLASS = "jp.xxx,tutorialMod.proxy.CommonProxy";
	
}
余談ですが、画像の添付ってどうやるのでしょうか?http://ってことはどっかに上げてるのでしょうか...?
0


 実況やろうとしてます。Moddingもやりたいです。4,5年程マイクラやってますがそんなに上手くない悲しみDX

アバター
SugarCoffee
ID: 2FA57OKER6
記事: 71
登録日時: 2019年10月19日(土) 14:21
いいね: 6回
いいねされた回数: 3回

Re: [Modding]最低限の状態でマイクラが起動すらしない

投稿記事 by SugarCoffee » 2020年1月04日(土) 23:18

Xulurun0w0 さんが書きました:
2020年1月04日(土) 20:09
[概要]
Java ver:1.8.0_231
JavaC ver:13.0.1
Minecraft ver:1.12.2
使用ソフト:Eclipse 2019-12
概要にあるJava(JRE)とJavac(JDK)はコマンドプロンプトのjava -version及びjavac -versionから求めたものでしょうか?
そうだとするとPCにはJDK13がインストールされているのだと考えられます

Minecraft1.12.2ではJava8のみで動作したはずなので、JDK13をアンインストールして、JDK8をインストールする必要があります
システム環境変数も変更する必要があります(俗にいうパスを通す)
なおオラクル社でのJDKライセンスが変更され個人でもJDK8のダウンロードが面倒になっています
オラクルプロファイル登録すればJDK8もダウンロードできたはずです

選択肢としては
  • オラクルプロファイルを作成して、JDK8(SE1.8)をダウンロードする
  • OpenJDKを使う
といったところでしょうか特に理由がなければOracleのJDKを使うことをお勧めします
参考情報
Oracle.comのユーザー登録方法 | ご利用ガイド | Oracle University

私はAmazonのOpenJDK8を使っていますがOpenJDKはOpenJDKでいろいろあるので選ぶのが面倒だったりします
とりあえずしばらく待ってみて他の方からの提案も見てみたほうがいいかなぁと(特にOracleJDKを使っている人)

画像ですが、自分はDropBoxにアップロードして共有をオンにしてリンクをちょっと書き換えて表示していますね
ファイル添付は今のところ出来ないようです詳細は下記トピックを参照ください
フォーラムへの要望・質問:ファイルについて

追記
[ファイル構成]にはありませんがこちらで勝手にあるものと推測していたのですが、
エクリプスのフォルダにbuild.Gradleとかその他もろもろもありますでしょうか(動画の左に出ているフォルダやファイル)
1
1 画像

アバター
Xulurun0w0
ID: 4Y0CCACSK4
記事: 36
登録日時: 2019年10月05日(土) 00:41
お住まい: 大阪府
Minecraft ID: Xulurun0w0
連絡する:

Re: [Modding]最低限の状態でマイクラが起動すらしない

投稿記事 by Xulurun0w0 » 2020年1月06日(月) 00:19

SugarCoffee さんが書きました:
2020年1月04日(土) 23:18
Minecraft1.12.2ではJava8のみで動作したはずなので、JDK13をアンインストールして、JDK8をインストールする必要があります
システム環境変数も変更する必要があります(俗にいうパスを通す)
なおオラクル社でのJDKライセンスが変更され個人でもJDK8のダウンロードが面倒になっています
オラクルプロファイル登録すればJDK8もダウンロードできたはずです

私はAmazonのOpenJDK8を使っていますがOpenJDKはOpenJDKでいろいろあるので選ぶのが面倒だったりします
とりあえずしばらく待ってみて他の方からの提案も見てみたほうがいいかなぁと(特にOracleJDKを使っている人)

追記
[ファイル構成]にはありませんがこちらで勝手にあるものと推測していたのですが、
エクリプスのフォルダにbuild.Gradleとかその他もろもろもありますでしょうか(動画の左に出ているフォルダやファイル)
 返信ありがとうございます
1.12.2以前の環境ではJava8のみの動作になるのですね...勉強になりました。試してみます。
追記の方はbuild.gradle、binファイル、gradle.properties等、動画の中に表示されていたファイル群は全て入っています。

 因みにですが、システム環境変数の変更は絶対になるのでしょうか?現在の環境だと自動的に入力されてるのかな?環境変数を確認するとすでに入力されているので、重複させるのダメかなーと思ってパスを入れてないのですが...。
 色々質問攻めで申し訳ないのですが、仮に.1.12以降のバージョンを使って開発するとなると、JDK13でも開発は可能なのでしょうか?
Minecraft Modding wiki を確認すると、1.14以降の記事が一切なかったり、1.13の記事や開発に関する前例がないの書かれているあたり少し不安なのですが....。
SugarCoffee さんが書きました:
2020年1月04日(土) 23:18
画像ですが、自分はDropBoxにアップロードして共有をオンにしてリンクをちょっと書き換えて表示していますね
ファイル添付は今のところ出来ないようです詳細は下記トピックを参照ください
フォーラムへの要望・質問:ファイルについて
 DropBox経由で表示しているのですね。教えて頂いてありがとうございます。
Chromeのデバッガーモードを使って確認すればすぐのことだったのでしょうけど、そこまで頭が回りませんでした...Dx

SugarCoffeeさんありがとうございました!
0
 実況やろうとしてます。Moddingもやりたいです。4,5年程マイクラやってますがそんなに上手くない悲しみDX

アバター
SugarCoffee
ID: 5ZO67NN53D
記事: 71
登録日時: 2019年10月19日(土) 14:21
いいね: 6回
いいねされた回数: 3回

Re: [Modding]最低限の状態でマイクラが起動すらしない

投稿記事 by SugarCoffee » 2020年1月06日(月) 20:39

Xulurun0w0 さんが書きました:
2020年1月06日(月) 00:19

 返信ありがとうございます
1.12.2以前の環境ではJava8のみの動作になるのですね...勉強になりました。試してみます。
追記の方はbuild.gradle、binファイル、gradle.properties等、動画の中に表示されていたファイル群は全て入っています。

 因みにですが、システム環境変数の変更は絶対になるのでしょうか?現在の環境だと自動的に入力されてるのかな?環境変数を確認するとすでに入力されているので、重複させるのダメかなーと思ってパスを入れてないのですが...。
 色々質問攻めで申し訳ないのですが、仮に.1.12以降のバージョンを使って開発するとなると、JDK13でも開発は可能なのでしょうか?
Minecraft Modding wiki を確認すると、1.14以降の記事が一切なかったり、1.13の記事や開発に関する前例がないの書かれているあたり少し不安なのですが....。
build.gradleとかその他も入っていればやはりJDK以外の問題はないですね…
システム環境変数の変更についてはコマンドプロンプトでjavac -versionとcd %JAVA_HOME%が動けばPathとJAVA_HOMEが設定されているので、この2つのコマンドが成功するのであれば変更の必要はないです

ForgeのJDK対応状況ですが、Forgeのフォーラム(2019年3月)を見る限り12.2以降はJava8,9,10に対応しているようですJava11は対応予定とあるので、もしかするとJDK13でも開発は可能かもしれませんが、サポート期間の問題が大きいので推奨しません
Forgeフォーラムのリンク
Is MC Forge 1.13 compatible with Java 11/12 ??

JavaはLTS(長期間サポート)とすぐにサポート終了するバージョンがありJDK13はnonLTSです。
JDK13のサポート期間はJDK14が出る2020年3月で終了し、脆弱性もそのままになり、使用するリスクは高まり続けます
LTSはJDK8,11,17(17は2021年9月リリース予定)なので人口が多く、情報も集めやすいJDK8がオススメです。
Oracle JDK8も個人で今年いっぱいまでのサポートのようなので、サポート終了時にどうするかを考える必要はありますが…
0

返信する